> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Disconnect Cluster Stack Manifest Endpoint

> Disconnects (removes) a manifest from a stack.

Mirrors the web UI disconnect endpoint but is exposed on the bearer-token
CLI API so `ankra cluster manifests delete` can remove a manifest's
resources from the cluster.



## OpenAPI

````yaml https://platform.ankra.app/openapi.json post /api/v1/org/clusters/imported/{cluster_id}/stacks/{stack_name}/manifests/{manifest_name}/disconnect
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/clusters/imported/{cluster_id}/stacks/{stack_name}/manifests/{manifest_name}/disconnect:
    post:
      tags:
        - Imported Clusters
      summary: Disconnect Cluster Stack Manifest Endpoint
      description: >-
        Disconnects (removes) a manifest from a stack.


        Mirrors the web UI disconnect endpoint but is exposed on the
        bearer-token

        CLI API so `ankra cluster manifests delete` can remove a manifest's

        resources from the cluster.
      operationId: >-
        disconnect_cluster_stack_manifest_endpoint_api_v1_org_clusters_imported__cluster_id__stacks__stack_name__manifests__manifest_name__disconnect_post
      parameters:
        - in: path
          name: cluster_id
          required: true
          schema:
            format: uuid4
            title: Cluster Id
            type: string
        - in: path
          name: stack_name
          required: true
          schema:
            title: Stack Name
            type: string
        - in: path
          name: manifest_name
          required: true
          schema:
            title: Manifest Name
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DisconnectClusterStackManifestResult'
          description: Successful Response
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    DisconnectClusterStackManifestResult:
      properties:
        commit_sha:
          anyOf:
            - type: string
            - type: 'null'
          title: Commit Sha
        commit_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Commit Url
        disconnected_at:
          format: date-time
          title: Disconnected At
          type: string
      required:
        - disconnected_at
      title: DisconnectClusterStackManifestResult
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````